## 更新履歴

- v.6.1.8 (2026-09-01)
    - UI/UXの軽微な改善。
    - mcdxの場所を移動。
    - mcdxを高速化。
    - Accelerated loading RC files.
- v.6.1.7 (2026-08-25)
    - MEditAccelDlgのバグ（「^A」など）を修正。
    - mcdxをそれほど怪しくないように変更。
    - MessageResのダンプ処理を修正。
- v.6.1.6 (2026-08-24)
    - UI/UXの軽微な改善。
    - MConstantDlgに[ヘルプ]ボタンを追加。
    - MRadWindow::AlignSelection で発生していたクラッシュを修正。
    - インストーラーの翻訳を改善。
    - EGA RES_deleteでのクラッシュを修正。
    - MEditAccelDlgのバグ（「^A」など）を修正。
    - リソースアイテムの処理を高速化。
    - RISOHTEMPLATEのリソース名の表示が間違っていたのを修正。
    - RT_BITMAPのインポート、抽出、保存を修正。
    - MSVCとの互換性を確保するため、リソース名を引用符で囲まないでください。
- v.6.1.5 (2026-08-22)
    - MDialogFontSubstDlg を高速化。
    - スプラッシュウィンドウを追加。
    - windresのデフォルトのコードページをUTF-8にした。
    - RT_BITMAPの抽出を修正。
    - 削除前に確認を追加。
    - メニュー項目の妥当性チェックを追加。
    - UI/UXの軽微な改善。
- v.6.1.4 (2026-08-13)
    - 設定をプロパティシートに変更。
    - OnDeleteResを高速化。
    - ツリービューのドロップダウン矢印が二重にならないようにした。
    - MRadWindowのインデックスラベルを修正。
    - WonResによるリソース圧縮に対​​応。
    - UPXの処理を改善。
    - ヘルプIDのサポートを強化。
    - 「MEditMenuDlg」を改善。
    - コードエディタのズームに対応。
    - 単語の折り返しを修正。
- v.6.1.3 (2026-08-08)
    - [編集] メニューを簡素化。
    - WonResによるリソース暗号化を実装。
    - OnNewの高速化。
    - RLE圧縮のBMPをサポート。
    - MRadWindowのちらつきを低減。
    - m_hCodeEditorのちらつきを低減。
- v.6.1.2 (2026-08-05)
    - MinGW または RosBE で再びビルド可能に。
    - 日本語の用語の改訂（「リソースの種類」→「リソース型」、「リソースの名前」→「リソース名」など）。
    - リソース型を変更可能。
    - リソース型を複製可能。
    - 細かい UI/UX の改善。
    - DLGITEMTEMPLATEの処理を修正。
    - ソース行情報を処理するように mcpp.exe を更新。
    - コンパイルプロセスとエラー情報を改善。
- v.6.1.1 (2026-08-03)
    - リファクタリング。
- v.6.1.0 (2026-08-03)
    - ツリービューの矢印における未初期化のハンドルを修正。
    - ポーランド語の翻訳を改善。
- v.6.0.9 (2026-08-02)
    - EGAマニュアルを更新。
    - ツリービューの表示遅延を修正。
- v.6.0.8 (2026-08-01)
    - MConstantDlg を改良。
    - MAddCtrlDlg、MCtrlPropDlg、およびMDlgPropDlgを改良。
    - ポルトガル語のリソース文字列が不足していたので修正。
    - IDD_EGAを小さくした。
    - リソースプレビューの安全性を向上。
    - EGAダイアログの出力を改善。
    - EGA「load」と「save」関数を修正。
    - EGA「RES_extract」関数を追加。
    - EGAの「RES_load」および「RES_save」関数を修正。
    - 翻訳とアクセスキーを改善。
- v.6.0.7 (2026-07-24)
    - ソースビューでホイールスクロールの遅いのを修正。
    - DIALOGのスタイルのダンプを修正。
    - RT_VERSION のダンプを改良。
    - RT_VERSION データを修正。
    - BUTTON と RICHEDIT のスタイルを修正。
    - キーワードヘルプを改良。
- v.6.0.5 (2026-07-17)
    - ツリービュー矢印がリソース名を変更可能に。
    - EGAを修正。いくつかEGAプログラムを追加。
    - DIALOGの代わりにDIALOGEXを使用した。
    - DIALOGEX FONT のダンピングを改良。
    - IDD_CTRLPROPにおいてコントロールを複数選択したときの処理を改善。
    - ツリービューの名前項目における入力自動補完を有効にした。
    - ツリービューにおける項目削除を修正。
- v.6.0.4 (2026-07-07)
    - ツリービューのリソースIDの解釈を修正した。
    - IDD_FONTS ダイアログに「リセット」ボタンを追加した。
- v.6.0.3 (2026-07-05)
    - 「リソースIDの一覧」の「ヘルプID」で符号付き/符号なし32ビット整数を使用可能にした。
    - ローカライズの仕上げ。
    - 「リソースIDの一覧」の小さな不具合を修正。
    - 引用符付きのリソース名を正しく扱う。
    - RT_VERSIONのダンプを改良。
    - 「winres.h」を追加。
    - ツリービューに「項目のヘルプ」機能を追加。
    - 文字列テーブルのカンマを省略。
    - コンテキスト ヘルプ (F1) をサポート。
    - リソースID文字列には常に大文字を使用する。
    - マクロパーサーのゼロ除算を回避した。
- v.6.0.2 (2026-07-03)
    - ポーランド語（ポーランド）の翻訳を改良（Frestaさんありがとう）。
    - 「リソースIDの一覧」のID_BASE10とID_BASE16アクションを修正。
    - 「リソースIDの一覧」のUI/UXを修正。
- v.6.0.1 (2026-06-01)
    - 「リソースIDの一覧」を最適化。
    - ウクライナ語 (ウクライナ) 翻訳を追加。
- v.6.0.0 (2026-05-21)
    - いくつかの小さな UI/UX の不具合を修正。
    - bUseMSMSGTABLE をデフォルトに変更。
- v.5.9.9 (2026-05-20)
    - msdxを修正。
    - リソースIDの操作を修正。
    - メッセージテーブルの操作を修正。
    - UTF-16コードページを受け付けるように修正。
- v.5.9.8 (2026-05-15)
    - コードページサポートをもっと安全にした。
    - ポルトガル語 (ポルトガル)の翻訳を追加。
    - WonRes（オリジナルのリソース操作ツール）を導入。
    - IDD_IDLISTダイアログの振る舞いを修正。
    - MRadWindowで 'L' を押したら異常終了する不具合を修正。
    - 整数IDをバリデートするようにした。
- v.5.9.7 (2026-05-03)
    - RichEdit20A/RichEdit20W/RichEdit50W をサポートした。
    - コードページをサポート。
- v.5.9.6 (2026-04-02)
    - バージョン情報を修正。
    - バージョン情報 (RT_VERSION) テンプレートをローカライズした。
- v.5.9.5 (2026-03-01)
    - バッファサイズを緩和。
- v.5.9.4 (2026-01-01)
    - UTF-16/UTF-32バッファ長を無制限にするために mcpp.exe を更新。
    - HISTORY*.txt を ChangeLog*.txt に改名。
    - README-*.txt を README_*.txt に改名。
    - 「指定行へ移動」機能を追加。
- v.5.9.3 (2025-12-01)
    - 自動補完の大文字小文字の分別なしの問題を修正。
    - リソース名ゼロの扱いを修正。
    - TEXTINCLUDE 1 を実装。
    - 多くのメモリリークを修正。
    - MP3音声のサポート。
    - メニューの空文字列の問題を修正。
- v.5.9.2 (2025-10-23)
    - 二重署名問題を修正。
- v.5.9.1 (2025-10-23Y)
    - 折り返しをしない文字列リテラルの最大長を400にする。
    - UTF-16のときのみ、文字列リテラルの折り返しをする。
    - 検索を修正 (Ctrl+F)。
    - ANICURSORとANIICONキーワードは古い環境では利用できません。それらの代わりに数値を使います。
    - 検索のUI/UXを改良。
    - EGA RES_save関数に"(bom)"オプションを追加。.
    - 高DPIサポートを追加。
- v.5.9.0 (2025-09-01)
    - rc2 ファイル名拡張子をサポート。
    - SHChangeNotify によってファイルの抽出時にアイコンの変更を通知。
    - 長すぎる文字列リテラルの折り返しを有効にした。
    - RCファイル出力においてByte Order Mark (BOM) の追加が可能になった。
- v.5.8.9 (2025-07-01)
    - SHChangeNotify によって EXE ファイルの保存時にアイコンの変更を通知。
    - 英語の「Neutral」項目を言語リストに追加。
    - 言語リストボックスの初期選択を修正。
    - 正しくRLEビットマップの情報を取得します。
    - 区分線を動かすときのちらつきを軽減した。
    - WoW ファイルシステム リダイレクションを無効化。
    - ファイルシステム入力補完を有効に。
- v.5.8.8 (2025-06-03)
    - EXEファイルにデジタル署名を追加。
    - トルコ語翻訳を追加。
    - TEXTINCLUDE 2 と TEXTINCLUDE 3 をサポート。
    - MRadWindow のクラッシュを修正。
    - インストーラを更新。
- v.5.8.7 (2025-04-04)
    - メモリリーク・ハンドルリークを削減。
    - メインアイコンを改良。
    - アイコン／カーソル／ビットマップ／リソース追加のUI/UXを改良。
- v.5.8.6 (2025-02-04)
    - スペイン語翻訳を追加。
    - *.dllの保存用にRES_save 関数を修正。
    - 下位互換性のために、SUBLANG_CUSTOM_DEFAULT、SUBLANG_CUSTOM_UNSPECIFIED、SUBLANG_UI_CUSTOM_DEFAULTを使わない。
- v.5.8.5 (2024-08-21)
    - EGAコンソールの使い勝手を向上。
    - EGA input関数を廃止した。
- v.5.8.4 (2024-08-02)
    - x86とx64の設定を分離。
    - 「開く」フィルターの解釈間違いを修正。
- v.5.8.3 (2024-07-24)
    - ファイル名からリソース名を埋める。
    - リソース言語設定を追加。
    - Enter キーを押したときのフリーズを修正。
    - x64 のサポート。
- v.5.8.2 (2024-07-20)
    - いくつかのテキストボックスに ES_AUTOHSCROLL スタイルを追加。
    - Win2k3 ieframe.dll BITMAP 214 の読み込み失敗を修正。
    - 「ダイアログの編集」ウィンドウを中央寄せ。
    - RESファイルのエクスポートをサポート。
- v.5.8.1 (2024-03-04)
    - IDD_ADDCTRL と IDD_CTRLPROP ダイアログを改良。
- v.5.8.0 (2024-03-03)
    - EXEファイル生成時にセキュリティスキャンとうまく連携する。
- v.5.7.9 (2023-11-14)
    - EGA サンプル「DeleteNonEnglish.ega」を追加。
    - IDS_THEREISUPDATE の翻訳を修正。
- v.5.7.8 (2023-10-06)
    - ポルトガル語（ブラジル）の翻訳を改良。
    - フォント選択条件を緩和。
    - 繁体字中国語を追加。
- v.5.7.7 (2023-06-05)
    - IDD_ADDDLGINIT と IDD_MODIFYDLGINIT を共通化。
    - RES_str_get と RES_str_set の設計を変更。
    - RES_get_text と RES_set_text 関数をEGAに追加。
- v.5.7.6 (2023-06-02)
    - ヘルプメニューをローカライズ。
    - EGA に RES_str_get と RES_str_set 関数を追加。
- v.5.7.5 (2023-05-08)
    - IDD_DLGPROP、IDD_CTRLPROP、IDD_ADDCTRLダイアログを改良。
    - 韓国語インストーラを追加。
    - MENUEXの区分線を修正。
- v.5.7.4 (2023-04-02)
    - バージョン番号をIDS_NOTICEに追加。
    - EGAコンソールを改良。
    - 半分壊れたインストーラを修正。
- v.5.7.3 (2023-04-01)
    - 小さな性能の改良。
    - 「複数の言語へ複製」を改良。
    - VERSIONINFO の FILESUBTYPE を修正。
    - 「-old」ではなく「~」をバックアップサフィックスにする。
    - 「ダイアログフォントの置き換え...」を「ダイアログフォント代替...」に改名。
- v.5.7.2 (2022-06-07)
    - ツールバーリソースをサポート。
- v.5.7.1 (2022-03-28)
    - バージョン情報ダイアログを改良。
    - コントロールの表示が悪いので、ちらつきのある方法に戻る。
    - メインウィンドウのフォーカスを記憶。
- v.5.7.0 (2022-03-18)
    - リソースIDの管理において再コンパイルを修正。
- v.5.6.9 (2022-03-09)
    - ヒストリーテキストを分離。
    - READMEファイルを改名。
    - ちらつきを減らすためにRADウィンドウにWS_CLIPCHILDRENを追加。
- v.5.6.8 (2022-01-17)
    - IDD_CTRLPROP の初期フォーカスを変更。
    - いくつかのバージョン情報を修正。
- v.5.6.7 (2022-01-13)
    - ポルトガル語翻訳を追加。
    - WinXP サポートをもう一度（XP で GetThreadUILanguage() を使わないこと）。
- v.5.6.6 (2021-12-25)
    - RADウィンドウをダブルクリックするとコントロール／ダイアログのプロパティを開く。
    - ANIカーソルのサポートを改良。
- v.5.6.5 (2021-12-18)
    - BS_OWNERDRAW ボタンはプッシュボタン。
    - 「複数の言語へ複製」機能を追加。
    - RADウィンドウの不具合を修正（致命的）。
- v.5.6.4 (2021-12-16)
    - GUI編集を開く前にコンパイルを尋ねる。
- v.5.6.3 (2021-12-12)
    - win32-samplesを追加。
    - 「UI Lanuage Select」を追加。
- v.5.6.2 (2021-08-15)
    - 「保存オプション」と「エクスポート オプション」ダイアログの幅を広げた。
    - マイクロソフト互換モードでメッセージテーブルを追加するための回避策を追加。
- v.5.6.1 (2021-07-01)
    - プロセスの戻り値を修正。
    - メッセージテーブルの扱いを改善。
    - ツリービューの名前変更で大文字にしない。
- v.5.6.0 (2021-06-19)
    - dfmsc.exe を圧縮しない(安全のため)。
    - コマンドラインをサポート。
    - RES_loadとRES_save関数をEGA言語に追加。
- v.5.5.9 (2021-06-16)
    - resource.hのマクロ読み込みを修正。
- v.5.5.8 (2021-06-15)
    - エラーが発生したときに行をマーク。
    - Ctrl+A を修正。
    - mcpp.exe と dfmsc.exe を更新。
- v.5.5.7 (2021-06-12)
    - 行番号を付けた。
- v.5.5.6 (2021-04-29)
    - *.rcファイルをインポート可能に。
    - ツリービューの言語矢印を修正。
- v.5.5.5 (2021-04-23)
    - tlb2idl プログラムを削除。
    - TYPELIB リソースタイプを処理するために OleBow プログラムを追加。
    - MIDLコンパイラが利用可能ならばTYPELIBをコンパイルすること。
- v.5.5.4 (2021-04-13)
    - Vistaアイコンの読み込みを修正。
- v.5.5.3 (2021-03-30)
    - windres.exeを2.36.1にアップグレード。
    - mcpp.exe と windres.exe のサブプロセスを作成するのに短いパス名を使用。
- v.5.5.2 (2021-02-27)
    - Win2k3のテキストボックスでCtrl+Aを修正。
    - TYPELIB リソースタイプを処理するために tlb2idl プログラムを追加。
    - TYPELIB の閲覧をサポート。
    - ポーランド語の翻訳を追加。
    - 「マニフェスト文を囲む」機能を既定で無効化。
- v.5.5.1 (2021-02-02)
    - windresを2.36にアップグレード。
    - BITMAP または OWNERDRAW のメニュー項目をコンパイルできます。
- v.5.5.0 (2021-01-26)
    - 韓国語翻訳を追加。
- v.5.4.9 (2021-01-21)
    - ツリービュー項目の名前の変更時にIDリストの表示を更新。
- v.5.4.8 (2020-11-12)
    - フィンランド語の翻訳を追加。
    - *.rc と *.res ファイルの関連付けを追加。
    - OLEコントロールの初期サポート。
    - MOleCtrl を削除し MOleHost を追加。
    - REGINST データをサポート。
- v.5.4.7 (2020-10-18)
    - XPサポートのため、Inno Setupを5.6.1にダウングレード。
    - テストダイアログでActiveXウィンドウクラス「AtlAxWin140」の初期サポート。
- v.5.4.6 (2020-10-03)
    - バージョンチェックにおいてキャッシュを消した。
    - テストダイアログの位置を修正。
    - RT_DLGINITが勝手に消えるバグを修正。
- v.5.4.5 (2020-08-03)
    - インドネシア語の翻訳を追加。
    - 言語コンボボックスに自動補完を追加。
- v.5.4.4 (2020-07-09)
    - 使用する前にファイルの中身をフラッシュした。
    - 国際的な Delphi の DFM データをサポート。
    - 「Delphi DFM の設定」メニュー項目を「編集」メニューに追加。
    - ファイル保存の際にチェックサムを正しくゼロにリセット。
    - コントロールが1ピクセルずれるバグを修正。
    - ウイルスチェッカーのためにファイル保存時の待機を追加。
- v.5.4.3 (2020-07-03)
    - 抽出ファイル名を改良。
    - 名前／言語を変えたとき、ツリービューの項目をソートする。
    - アイコン／カーソルの抽出を改良。
    - テキストの改行コードを改良。
    - 「リソースの追加」ダイアログを修正。
    - HTML/マニフェストをインポート可能に。
    - 「ヘルプ」メニューに更新チェック機能を追加。
    - メッセージボックスのタイトルを修正。
    - 文字数制限を緩和し、大きなデータをサポートした。
    - ファイル保存の際にチェックサムをゼロにリセット。
- v.5.4.2 (2020-06-18)
    - コードエディタか16進ビュアを選べるタブコントロールを追加。
    - ドイツ語とフランス語の翻訳を改良。
    - 言語ドロップダウンの矢印を修正。
    - Unicodeエンコーディングの処理を修正。
    - エクスポートと抽出を改良。
    - EGAダイアログを改良。
- v.5.4.1 (2020-06-14)
    - 二回目の上書き保存で失敗する不具合を修正した。
    - タイトルバーテキストを修正。
    - ステータスバーメッセージを修正。
    - ドイツ語翻訳を追加。
    - フランス語翻訳を追加。
- v.5.4.0 (2020-06-13)
    - RT_ACCELERATOR の出力を修正（16ビット符号なし）。
    - 「ファイルをresフォルダにまとめる」オプションを廃止。
    - GUI編集時のクラッシュを修正。
    - 抽出機能を強化。
    - フォントの置き換え機能の修正。
    - フルパスをタイトルバーに使用。
    - ドロップダウンの言語矢印を追加。
    - 「定数の問い合わせ」ダイアログを修正。
    - 「リソース項目のエンコーディング」ダイアログを修正。
    - 「ID の関連付け」ダイアログを改良。
    - 「定義済みマクロの一覧」ダイアログを改良。
    - 「設定」ダイアログを改良。
    - 「検索」ダイアログを修正。
    - 状態メッセージを改良。
    - 変更フラグの扱いを改良。
- v.5.3.9 (2020-06-01)
    - 「ダイアログ フォントの置き換え」機能を追加。
    - いくつかのメニュー項目を「編集」メニューへ移動。
    - リソース名・リソースの種類のゼロ値のチェックを追加。
    - サンプル リソース ダイアログに DS_CENTER スタイルを追加。
    - ファンクションキーの F1/F3/F5/F6 を有効にした。
    - ポータブル版を追加。
    - 検索機能を改良。
- v.5.3.8 (2020-05-22)
    - 「自動化」メニューに「EGA マニュアルを開く」項目を追加。
    - ファイル変更フラグを厳密に制御。
- v.5.3.7 (2020-04-28)
    - ファイルドロップ時のファイル変更フラグを更新。
    - 抽出時のファイル名を改良。
    - EGA を強化。
    - ロシア語翻訳を改良。
- v.5.3.6 (2020-04-15)
    - ループ変数を32ビットに変更し、無限ループを回避した。
    - Delphi DFM データのサポート。
    - コンテキストメニューを改良。
- v.5.3.5 (2020-03-26)
    - イタリア語翻訳を改良。
    - 不必要な保存確認を修正。
- v.5.3.4 (2020-03-19)
    - ツールバーの保存ボタンの動作を変更。
    - プログラム言語EGAを使った自動化を導入。
    - ファイル変更を保存するか確認を追加した。
- v.5.3.3 (2020-03-03)
    - 9MBから3MBへファイルサイズを削減。
- v.5.3.2 (2020-03-02)
    - 場所を聞かずにCtrl+Sで保存できる。
    - 「RC ファイルを UTF-16 で出力する」オプションを不揮発性にする。
    - 「リソースIDの一覧」ウィンドウを常に手前に。
- v.5.3.1 (2020-02-23)
    - メニューリソースの読み込みと表示を修正・改良。
    - IDC_STATIC の扱いを改良。
    - 「リソースIDの一覧」ウィンドウを改良。
- v.5.3.0 (2020-02-06)
    - いくつかのテキストボックスにES_AUTOHSCROLLを追加。
    - 上書き保存するときの論理エラーを修正。
- v.5.2.9 (2020-02-01)
    - 5.2.8のXPサポートは忘れた。今、有効に。
    - ファイル保存の処理を修正。
    - ユーザー所有の実行可能ファイルがなくてもEXE/DLLファイルを保存可能に。
    - バックアップ方法を修正。
- v.5.2.8 (2020-01-30)
    - ロシア語リソースを修正。
    - 未定義のコントロールを表示可能に。
    - BEGIN/ENDを使うオプションを追加。
    - DLLを別名で保存できなかった不具合を修正。
- v.5.2.7 (2019-10-20)
    - 「言語の一覧」ダイアログを再び改良。
    - ダイアログ項目のマークの位置を修正。
- v.5.2.6 (2019-09-23)
    - 「言語の一覧」ダイアログを改良。
    - ロシア語の翻訳を追加。
    - インストール位置にスペース文字があればエラーメッセージを表示する。
    - popen問題を修正するため、windresを呼び出すときに「--use-temp-file」オプションを追加。
- v.5.2.5 (2019-09-19)
    - ダイアログ スタイル リストボックスにおいて WS_CHILDWINDOW のバグを修正。
    - リリースファイル名を変更 (RisohEditor-X.X.X.exe と RisohEditor-X.X.X.zip)。
    - 翻訳者リスト (TRANSLATORS.txt) を追加。
    - オーナードローコントロールを見えるようにした。
- v.5.2.4 (2019-09-15)
    - XP サポート。
- v.5.2.3 (2019-09-14)
    - AUTORADIOBUTTON STYLE を修正。
- v.5.2.2 (2019-08-14)
    - イタリア語翻訳を更新。
    - XML、XSLT、SCHEMA、そしてREGISTRYリソースタイプのサポート。
    - RT_ICON/RT_CURSOR と RT_GROUP_ICON/RT_GROUP_CURSOR の言語不一致のときの解釈を改良。
    - RT_DLGINIT とRT_DIALOG の言語不一致のときの解釈を改良。
- v.5.2.1 (2019-08-04)
    - 言語名に "En" と入力すると「英語 (アメリカ合衆国)」が選択されるように。
    - 定数の問い合わせ機能を追加。
    - 「すべて折りたたむ」を修正。
    - WS_POPUPWINDOW | WS_BORDER は、WS_POPUPWINDOW | WS_CAPTION でなければならない。
    - RT_FONT のサポート。
    - 「リソースの追加」ダイアログを改良。
- v.5.2.0 (2019-07-26)
    - DIALOG STYLE を正しく扱う (WS_CAPTION はDIALOG STYLEのデフォルト値)。
    - 圧縮されたEXEファイルを開くときに、展開せずに開いたときにファイルが消えてしまうバグを修正。
    - まとめサイトのURLを更新。
- v.5.1.9 (2019-07-14)
    - UTF-16ソースの入出力をサポート。
- v.5.1.8 (2019-05-14)
    - 「別の名前で複製」と「別の言語で複製」で再コンパイルのチェックを追加。
    - 「別の名前で複製」と「別の言語で複製」で複製後の選択を修正。
    - 文字列テーブルとメッセージテーブルのコンパイルエラーでちゃんと失敗。
- v.5.1.7 (2019-03-20)
    - PBS_MARQUEEとPBS_SMOOTHREVERSEスタイルを追加。
    - コンパイルエラーの処理を修正。
- v.5.1.6 (2019-02-24)
    - イタリア語の改良。
    - GUIの調整。
    - 「別の言語で複製」を修正。
- v.5.1.5 (2019-01-27)
    - WS_EX_MDICHILD拡張スタイルを使わないようにした。
    - ReactOSをサポート。
- v.5.1.4 (2019-01-13)
    - 英語のインストーラを追加。
    - イタリア語のインストーラを追加。
    - イタリア語の翻訳を追加。
    - いくつかの言語のインストーラを追加。
- v.5.1.3 (2019-01-01)
    - 「リソースIDの一覧」の修正。
- v.5.1.2 (2018-12-08)
    - クラステキストボックスが空白を受け入れるようにした。
    - クラステキストボックスでC文字列リテラルを受け付けるようにした。
    - テンプレートシステムを改良。
    - マニフェストのテンプレートを有効にした。
    - ツールバーのUI更新を修正。
    - 「リソースIDの一覧」の「IDの種類」を正しく表示するようにした。
    - 出力のときに言語名をソートするようにした。
- v.5.1.1 (2018-11-08)
    - キャプションテキストボックスが空白を受け入れるようにした。
    - 言語テキストボックスが空白を受け入れるようにした。
- v.5.1.0 (2018-10-08)
    - 文字列エントリーのダイアログを改良(複数行)。
    - Ctrl+Aの動作を修正。
    - ファイルがロックされているか確認するようにした。
    - リソースIDの大文字小文字を区別するようにした。
    - リソース項目ごとにエンコーディングを設定できるようにした。
    - 「言語の一覧」で異常終了する不具合を修正。
    - まとめサイトのURLを更新（ https://katahiromz.web.fc2.com/re/matome/ ）。
- v.5.0.9 (2018-09-27)
    - resource.hの出力を改良。
    - ツリービューのアイコンをさらに改良。
    - インポートを改良。
- v.5.0.8 (2018-09-12)
    - さらなるツールバーアイコンの改良。
    - 抽出のファイルの種類の修正。
    - ソースにダガー(U+2020)を書き込んでUTF-8の検出を助けるようにする。
    - ツリービューのアイコンを修正。
    - 日本語のダイアログとメニューのテンプレートを分ける。
- v.5.0.7 (2018-09-05)
    - 主要ではない言語のサポートを修正。
    - コメントの出力を改善。
    - 自分で自分自身のリソースを置き換え。
    - マニフェスト文を #ifndef MSVC ... #endif で包むオプションを追加。
    - バージョン情報の出力を改良。
    - Visual Studioとの互換性を示すため、メッセージテーブルを削除。
    - インストーラを改良。
    - ツールバーアイコンの改良。
    - EXE保存のときのバックアップの設定が可能に。
    - 終了するとき、コンパイルの確認をしないようにした。
- v.5.0.6 (2018-08-30)
    - バックアップの設定が可能に。
    - エクスポートまたは保存のときに、リソース項目を並べ替えるようにした。
    - 冗長なコメントを出力できるようにした。
- v.5.0.5 (2018-08-29)
    - 言語名指定「English」で英語が選択されるようにした。
    - 「言語別にファイルを分ける」が正しく動作されるようにした。
- v.5.0.4 (2018-08-18)
    - 「新規作成」コマンドで「ダイアログの編集」が残っていたのを修正。
- v.5.0.3 (2018-08-14)
    - リソースの削除のバグ修正。
- v.5.0.2 (2018-07-20)
    - プロセス待ち時間を20秒まで延長。
    - ダイアログのコントロールを削除したときの不具合を修正。
- v.5.0.1 (2018-07-06)
    - リソース抽出時の拡張子を修正した。
- v.5.0.0 (2018-06-24)
    - 「ダイアログの編集」においてコントロールの位置とサイズの変更を高速化。
    - 名前/言語の変更においてチェックを厳格に。
    - 言語の解釈をさらに改良。
    - ツールバーアイコンを改良。
    - 「ヘルプ」メニューでまとめサイトへジャンプできるようにした。
- v.4.9.8 (2018-06-22)
    - WinXPで起動できなかったのを修正。
    - 「resource.h」をアンロードしたときに、マクロが数値にならなかったのを修正。
    - 「名前を付けて圧縮保存」を改良。
    - 言語の扱いをさらに改良。
    - 「言語の一覧」ダイアログを修正。
    - ツールバーを刷新。
- v.4.9.7 (2018-06-21)
    - ソースのマークは、編集済みのときは表示されないようにした。
    - ソースのコントロールの行をダブルクリックすると、そのコントロールを選択するようにした。
    - 可能ならば、ツリービューにエクスプローラのビジュアルスタイルを適用。
    - 「DLGINITの編集」ダイアログを修正、より柔軟にした。
    - 「DLGINITの編集」と「メニューの編集」と「アクセスキーの編集」のリストが逆順だったのを修正。
    - UPXで展開ができなかったのを修正。
    - UPXで展開したファイルを保存できなかったのを修正。
    - 「ファイル」メニューに「名前を付けて圧縮保存」を追加。
- v.4.9.6 (2018-06-19)
    - プレーンテキストのリソースをコンパイルできなかったのを修正。
    - RT_DLGINITの名前のラベルを修正。
    - RT_DLGINITの出力が間違っていたのを修正。
    - RT_DLGINITが正しく更新されなかったのを修正。
    - RT_DIALOGを消したら、対応するRT_DLGINITも消すようにした。
    - 「行の折り返し」設定を追加。
    - RT_DIALOGとRT_DLGINITの連携を修正。
    - 「ダイアログの編集」のコントロールの選択状態に合わせて、ソースにマークが付くようになった。
- v.4.9.5 (2018-06-18)
    - コンパイルした際に上書き確認が出ていたのを修正。
    - 項目検索の際の不具合を修正。
    - 読み込みを高速化。
    - resource.hの構文解析を修正。
    - 一部、リソースが抽出できなかったのを修正。
    - コンパイルの処理を修正。
    - コンパイル後、リソースの種類を確認するようにした。
    - Ctrl+Aが効いていなかったのを修正。
- v.4.9 (2018-06-15)
    - ツリービューとリソース項目の管理方法を刷新した。
    - 不正な言語を指定したときの処理を修正。
    - 「名前を付けて保存」からRCファイルを保存できるようにした。
    - 「追加」ダイアログを改良。
    - 「名前を付けて保存」のファイルの種類を覚えるようにした。
    - 「編集」メニューと「検索」メニューを改良。
    - 英語や文字列の一部やen_USを受け入れるなど、言語名の解釈がスマートになった。
- v.4.8 (2018-06-08)
    - DS_SETFONT, DS_FIXEDSYS, DS_SHELLFONTスタイル周りの不具合を修正。
- v.4.7 (2018-06-07)
    - Ctrl+Pでエクスポートできるようにした。
    - DS_SETFONTスタイルを解除または追加したときの処理を追加。
    - RISOHTEMPLATEというリソースデータでリソースのテンプレートを実現。
    - ツリービューを「すべて展開」する機能と「すべて折りたたむ」機能を追加。
- v.4.6 (2018-06-05)
    - ダイアログのフォントと寸法に関する間違い（特にDS_SHELLFONT）を修正。
- v.4.5 (2018-04-26)
    - マニフェストの設定が間違っていたので修正。
    - テキストボックスの数値を右揃えに。
    - MOleCtrlの代わりにデフォルトでAtlAxWin*を使うように変更。
    - OLEコントロールのサポートを改善。
    - RT_DLGINITを一部サポート。
    - コンボボックスとリストボックスの既定のスタイルが間違っていたのを修正。
    - コントロールのダイアログを修正・改良。
- v.4.4 (2018-04-19)
    - 英語の改良など。
    - スピンコントロールをGUIに追加。
    - OLEコントロールを一部サポート。
    - ウィンドウクラスライブラリの扱いを修正。
- v.4.3 (2018-03-25)
    - XPサポート。
- v.4.2 (2018-03-22)
    - 「リソースIDの一覧」の「再読み込み」に不具合があったのを修正。
    - 「resource.h」の更新方法を修正。
    - 32ビットのリソーエディタから64ビットのモジュールの読み込みをサポート。
    - 子ダイアログのテストをサポート。
    - 「resource.h」が未更新のときに、#undef/#defineでマクロを定義して、コンパイル可能にする。
    - ダイアログリソースとメニューリソースの出力を修正。
    - IDC_STATICの使用を切り替えられるようにした。
    - ヘッダーファイル「afxres.h」を追加。
    - IDC_STATICについて助言を改良した。
    - ビジュアルスタイルに対応。
    - SysLinkとSplitButtonコントロールに対応。
- v.4.1 (2018-03-21)
    - メニューとアクセスキーの編集で、正しくコマンドIDが読み込まれるようになった。
    - 「リソースの追加」ダイアログを修正。
    - 「リソースIDの一覧」ウィンドウに「値をコピー」メニュー項目を追加。
    - 「リソースIDの一覧」で選択なしの場合のいくつかのアクションを無効に。
    - 「リソースIDの一覧」のコンボボックスを改良。
    - 「メニュー リソースの編集」を改良。
    - 「アクセスキーの編集」を改良。
    - コンテキストメニューの位置を修正。
    - 「PATHの設定」ダイアログを改良。
    - 「定義済みマクロの一覧」ダイアログを修正・改良。
    - 「文字列テーブル」と「メッセージテーブル」ダイアログを修正・改良。
    - メッセージIDを32ビットに修正。
    - いくつかのダイアログに「すべて削除」ボタンを追加。
    - 「設定」ダイアログを増強。
    - 「バージョン情報」のアイコンを修正。
    - CONTROL文/ICON文の解釈を改良。
- v.4.0 (2018-03-20)
    - バックアップをもっと安全に。
    - バックアップを5世代までに制限。
    - 非標準のリソースIDの解釈を改善。
    - 「Standardize.md」と「MESSAGETABLEDX.md」と「HYOJUNKA.txt」を追加。
    - いくつかのコントロールのデフォルトのウィンドウスタイルを修正。
    - 文字列マクロを一部サポート。
    - 文字列IDの扱いを修正。
    - 「リソースIDの一覧」にコンボボックスを付けて改良。
    - エクスポートを高速化。
    - 「次のID」の値を修正。
    - リストビューにツールチップを追加。
    - 「文字列テーブルの編集」を修正。
    - キャプションを覚えるようになった。
    - 未知のデータ形式に対する対応。
    - 「テキストファイルを開く」を修正。
    - 「リソースIDの追加」の改良。
    - 「言語の一覧」を追加。
    - ツールバーを隠せるようになった。
- v.3.9 (2018-03-18)
    - IDのプレフィックスを標準化。
    - エクスポートを修正・標準化。
    - エクスポート方法を選べるようにエクスポート オプションを追加。
    - "resource.h"の更新を使いやすく修正。
- v.3.8 (2018-03-12)
    - <strsafe.h>の使用により、より安全性が向上した。
    - 「リソースIDの一覧」において、10進数と16進数が選べるようになった。
    - mcdxのLANGUAGE文の解析を修正。
    - LANGUAGE文の出力を修正。
    - XPのサポートを外す。
    - 「リソースIDの追加」の「自動」ボタンについて、コマンドIDの生成方法を修正。
    - 「ダイアログの編集」において、項目のコピー＆貼り付けが可能に。
    - x64でのビルドをサポート。
    - 中国語を改良。
    - コントロール データが長すぎる場合をチェック。
- v.3.7 (2018-03-08)
    - 「定義済みマクロ」の設定が可能に。
    - PATHの設定が可能に。
    - ダイアログのコントロールデータをサポート。
    - リストビューに項目を追加したときの動作を改良した。
    - 「windef.h」を追加。
    - 「文字列テーブル」と「メッセージテーブル」のダイアログに右クリックメニューを追加。
    - ダイアログ編集の複数選択のプロパティを正しく解釈していなかったのを修正。
    - 「編集」メニューを改良。
    - 「リソースの追加」ダイアログでオプションかどうかを表示するようにした。
    - エラーがあるのにエラーメッセージが表示されなかったのを修正。
- v.3.6 (2018-02-28)
    - フォント設定が可能に。
    - グループボックスの当たり判定を修正。
    - 設定の「IDマクロを使用しない」が正しく更新されていなかったのを修正。
- v.3.5 (2018-02-27)
    - 梱包作業を一部自動化。
    - 「ダイアログ編集に点々を表示する」設定が反映されていなかったのを修正。
    - ツリービューが更新されたときに、ツリービューの位置を正しく復元するようにした。
    - ラバーバンドの当たり判定がおかしかったのを修正した。
    - 「ダイアログの編集」でCtrl+Aを押すと、全部選択するようにした。
    - 「ダイアログの編集」でCtrl+Dを押すと、インデックスを表示するようにした。
    - RC形式でのエクスポートを実装。
    - 整数の解釈を少し改良した。
- v.3.4 (2018-02-26)
    - 「アクセスキーの編集」ダイアログを大きく。
    - 「リソースIDの一覧」を改良。
    - 「リソースIDの一覧」のダブルクリックでIDジャンプするようにした。
    - ツリービューでF2を押すと、名前や言語を簡単に変更できるようになった。
    - 整数の解析の不具合を修正。
    - 「表示」メニューに「最新の情報に更新」を追加。
    - 文字列形式の名前で、コンパイルすると不一致で失敗する不具合を修正。
    - その他、文字列形式の名前に関する不具合を修正。
    - ソース表示の行を折り返すようにするなど、ソース表示を改良。
- v.3.3 (2018-02-25)
    - 「ダイアログの編集」のコントロールの上下関係をきっちりと。
    - 「ダイアログの編集」でドラッグ選択が可能に。
    - 「ダイアログの編集」の右クリックメニューに「再描画」を追加。
    - いくつかのダイアログに入力補完機能を付けた。
    - ComboBoxEx32.DEFAULT.STYLEを修正。
    - IDジャンプを実装。
- v.3.2 (2018-02-22)
    - mcdxをLinuxに移植。
    - ヘルプIDの解析が間違っていたのを修正。
- v.3.1 (2018-02-14)
    - いくつかのダイアログをサイズ変更可能に。
    - リソースを追加できなかったバグを修正。
    - 「ダイアログの編集」の再描画を高速化。
    - ソースビューにLANGUAGE文を表示。
    - エラー表示を改善。
    - メッセージテーブル周辺の不具合を修正。
- v.3.0 (2018-02-13)
    - 読み込みの際の不具合を修正。
    - メッセージテーブルをサポート。
    - メッセージコンパイラー「mcdx」を追加。
    - 「リソースの追加」ダイアログの名前の処理の修正。
    - ツリービューの選択変更中に砂時計カーソルを表示するようにした。
    - cpp.exeを7.3.0にバージョンアップ。
    - windres.exeを2.30にバージョンアップ。
    - 「文字列エントリーの追加」ダイアログの初期化を忘れていたのを修正。
    - 「リソースの追加」ダイアログの入力条件を緩和。
- v.2.9 (2018-02-08)
    - UPXによるEXEファイルの展開・圧縮をサポート。
    - 保存の際の不具合を修正。
- v.2.8 (2018-02-06)
    - .res読み込みの際に、resource.hを再読み込みするようにした。
    - クラス付きまたは子ウィンドウのダイアログをテストできないようにした。
    - ビットマップ読み込みの品質を改良。
    - コントロールID以外のリソースの名前がマイナスにならないようにした。
    - "IMAGE"という種類のリソースをサポート（中身は多分PNG）。
    - 画像表示においてマウスホイールをサポート。
    - 無効なウィンドウ位置を修正するようにした。
    - スタティックコントロールのアイコンとビットマップをサポート。
    - 「バージョン情報」ダイアログを改良した。
- v.2.7 (2018-02-04)
    - 「ダイアログの編集」ウィンドウにアイコン追加。
    - 「別の名前でコピー」ダイアログの改良と動作の修正。
    - 「resource.h の再読み込み」が正常に機能していなかったのを修正。
    - 「リソースIDの一覧」のコンテキストメニューに「再読み込み」を追加。
    - 不正なファイルパスをチェックするようにした。
    - 「別の名前でコピー」ダイアログを「別の名前で複製」にした。
    - 「別の言語でコピー」ダイアログを「別の言語で複製」にした。
    - 「別の言語で複製」ダイアログを改良した。
    - RESファイルの読み込みを修正。
    - RCファイルの読み込みをサポート。
    - ドラッグ＆ドロップでresource.hが読み込めるようにした。
- v.2.6 (2018-02-03)
    - Windows XP/2003を正式にサポート。
    - バージョン情報を改良。
    - "cpp.exe"を7.2.0にバージョンアップ。
    - "windres.exe"を2.29.1にバージョンアップ。
    - 「リソースIDの追加」ダイアログを改良。
    - 「resource.h」ファイルを更新する機能を追加。
    - ライセンスを開く機能を追加。
    - フォントコンボボックスで縦書きのフォントを取り除く。
    - ダイアログのメニューをサポート。
    - ツリービューのデバッグ用の機能追加（Ctrl+Shift+L）。
    - 「項目検索」の文字列テーブル検索を改良。
    - リソースIDに関して複数のダイアログの改良。
- v.2.5 (2018-01-26)
    - アイコン・カーソルの読み込みにおいて、不正なデータに対して強くなった。
    - 「リソースIDの追加」ダイアログに「自動」ボタンを追加。
    - ツリービューの表示を改良。ツリービューの順序を並び替える。
    - いくつかのダイアログでIDの解釈が間違っていたのを修正。
    - 「リソースIDの変更」ダイアログで変更後にIDの一覧を更新するようにした。
    - 上書きインストール対応のために、バージョン番号をショートカットファイルから削除した。
    - 「項目検索」をサポート。項目をまたいだ検索ができる。
- v.2.4 (2018-01-23)
    - リソース項目を「別の名前で複製」「別の言語で複製」が可能に。
- v.2.3 (2018-01-20)
    - ハンドルマップ採用により、IPアドレスコントロールの表示が改善した。
    - コントロールのIDの規定値を-1にする。
- v.2.2 (2018-01-16)
    - スタイルがゼロのとき、空文字列ではなくゼロを出力するようにした。
    - ツールバーとページャーコントロールとグループボックスの表示を改善した。
    - IPアドレスコントロールのサポート。
    - 小文字のクラス名をコンパイルしたときに、なぜか大文字になるのを修正。
    - コントロールのダイアログにコントロールのツールバーを追加。
- v.2.1 (2018-01-06)
    - ダイアログのサイズ変更の際の計算が間違っていたのを修正。
    - 画面分割の境界線の位置を一時的に保存するようにした。
- v.2.0 (2018-01-02)
    - ダイアログのサイズ変更がうまくできなかったのを修正。
    - インデックスを変更したときに、ダイアログのサイズが勝手に変わったのを修正。
- v.1.9 (2017-12-29)
    - 保存の際の不具合を修正。
- v.1.8 (2017-12-28)
    - 中国語対応。保存の際の不具合を修正。
- v.1.7 (2017-12-27)
    - 最小化されたときのウィンドウの位置とサイズを記録しないようにした。
    - この問題が起きた場合は、レジストリキー「HKEY_CURRENT_USER\Software\Katayama Hirofumi MZ\RisohEditor」を削除すれば復旧できます。
- v.1.5 (2017-11-22)
    - 保存できないバグを修正。
- v.1.4 (2017-11-22)
    - 文字列IDがマイナスになるバグを修正した。
    - ヘルプIDが32ビット整数を扱えなかったのを修正した。
    - アイコンまたはカーソルリソースの削除の際の不具合を修正した。
    - "resource.h"の読み込みの処理を修正した。
    - ソースビューに横スクロールバーを追加。
- v.1.2 (2017-11-21) ver.1.3
    - 文字列編集を修正した。
- v.1.1 (2017-11-18)
    - ダイアログリソースをコンパイルしたときに、必要ならダイアログを再表示するようにした。
    - メニューの文字列の扱いを修正した。
    - ダイアログのサイズの調整を柔軟にした。
    - グリッドで位置合わせできるようにした。
    - ダイアログの背景の点々を微調整した。
- v.1.0 (2017-09-25)
    - 多数のUIの改良。
    - コンパイルが必要かどうかの確認を厳密にした。
    - 重い処理のとき、砂時計を表示するようにした。
    - 不正なデータに強くなった。
    - 読み込み時のエラー表示を必ずするようにした。
    - マニフェストを修正した。
    - ダイアログのリソースの出力を修正した。
    - BS_PUSHBOXスタイルをサポート。
    - バージョン情報ダイアログを中央に寄せた。
- v.0.9 (2017-09-16)
    - インストーラを追加。
    - ツールバーを豪華に。
    - ウィンドウの最大化状態を復元できるようにした。
    - IDの解釈を修正した。
    - ヘルプIDのプレフェックスを「HELPID_」から「HID_」に変えた。
- v.0.8 (2017-09-10)
    - DLLファイル「gdiplus.dll」を使用。
    - GIF/PNG/JPEG/TIFF/AVI/WMF/EMFのサポート。
    - アイコン情報の表示を修正。
    - ダイアログ情報を修正。
    - ダイアログリソースを消したとき、「ダイアログの編集」を消すようにした。
- v.0.7 (2017-09-03)
    - メモリーリークの解消。
    - 「ダイアログの編集」ウィンドウの位置の記憶。
    - Ctrl+Aでテキストすべて選択が可能に。
    - テキストの検索と置換をサポート。
    - マクロ パーサーの構文解析を修正。
    - 「ヘルプ」メニューからREADME/READMEJP.txtを開けるように。
    - 「ダイアログの編集」で背景に点々を表示できるように。
    - "cpp.exe"を7.1.0にバージョンアップ。
    - "windres.exe"を2.28にバージョンアップ。
    - ウィンドウクラスライブラリの読み込みのサポート。
- v.0.6 (2017-08-31)
    - 初公開。
